import module from '../../module'

export default name => {
  const root = `${module.code}/${name}/`
  const crud = $http.crud(root)

  const urls = {
    getUom: '/admin/uom/select',
    getBom: '/materialapp/billofmaterialtemplate/select'
  }

  let getUom = params => {
    return $http.get(urls.getUom, params)
  }
  let getBom = params => {
    return $http.get(urls.getBom, params)
  }

  return {
    ...crud,
    getUom,
    getBom
  }
}
