import module from '../../module'

export default name => {
  const root = `${module.code}/${name}/`
  const crud = $http.crud(root)
  const urls = {
    getUom: '/admin/uom/select',
    select: '/materialapp/billofmaterialsitem/select'
  }
  let getUom = params => {
    return $http.get(urls.getUom, params)
  }
  let select = params => {
    return $http.get(urls.select, params)
  }
  return {
    ...crud,
    getUom,
    select
  }
}
