import module from '../../module'

export default name => {
  const root = `${module.code}/${name}/`
  const crud = $http.crud(root)
  const urls = {
    getUnit: '/admin/uom/select',
    // getUnit: '/materialapp/materialuom/get',
    gettemplate: '/materialapp/materialtemplate/query',
    materialgroup: '/materialapp/materialgroup/query',
    select: '/materialapp/material/select'
  }

  let getUnit = params => {
    return $http.get(urls.getUnit, params)
  }

  let gettemplate = params => {
    return $http.get(urls.gettemplate, params)
  }

  let materialgroup = params => {
    return $http.get(urls.materialgroup, params)
  }

  let select = params => {
    return $http.get(urls.select, params)
  }

  return {
    ...crud,
    getUnit,
    gettemplate,
    materialgroup,
    select
  }
}
