import module from '../../module'

export default name => {
  const root = `${module.code}/${name}/`
  const crud = $http.crud(root)
  const urls = {
    getLotData: '/materialapp/materialLot/query',
    getTemplateData: '/materialapp/materialtrackingunittemplate/query'
  }
  let getLotData = params => {
    return $http.get(urls.getLotData, params)
  }
  let getTemplateData = params => {
    return $http.get(urls.getTemplateData, params)
  }

  return {
    ...crud,
    getLotData,
    getTemplateData
  }
}
