import module from '../../module'

export default name => {
  const root = `${module.code}/${name}/`
  const crud = $http.crud(root)
  const urls = {
    gettemplate: '/materialapp/materialtemplate/query',
    propertytypeselect: '/codegenerator/property/propertytypeselect'
  }

  let gettemplate = params => {
    return $http.get(urls.gettemplate, params)
  }
  const propertytypeselect = params => {
    return $http.get(urls.propertytypeselect, params)
  }
  return {
    ...crud,
    propertytypeselect,
    gettemplate
  }
}
